/*
  utils.h
  
  Author: Sergi Diaz Planas (2017)
*/
#ifndef UTILS_H
#define UTILS_H

#include <opencv2/core.hpp>
#include <opencv2/imgcodecs.hpp>
#include "dlib/opencv.h"

#include "base64.h"

dlib::rectangle openCVRectToDlib(cv::Rect r);
cv::Mat base_64_to_mat(std::string base64_string);
std::string mat_to_base64(cv::Mat mat);

#endif // UTILS_H
